{"title":"Get documentAttachments","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_documentattachment_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_documentattachment_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_documentattachment_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a document attachment object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":97,"chars":218},{"level":2,"title":"Request headers","slug":"request-headers","at":315,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":387,"chars":61},{"level":2,"title":"Response","slug":"response","at":448,"chars":130},{"level":2,"title":"Example","slug":"example","at":578,"chars":814},{"level":2,"title":"Related information","slug":"related-information","at":1392,"chars":295}],"text":"Retrieves the properties and relationships of a document attachment object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/documentAttachments({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a documentAttachment object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/documentAttachments({id})\n```\nResponse\nHere's an example of the response.\n```json\n{\n    \"id\": \"ATT00089\",\n    \"fileName\": \"Invoice_10542.pdf\",\n    \"byteSize\": 245823,\n    \"attachmentContent\": \"JVBERi0xLjUKJeTl5OTlCjEgMCBvYmoKPDwKL1R5cGUgL0NhdGFsb2cKL1BhZ2VzIDIgMCBSCj4+CmVuZG9iagoyIDAgb2JqCjw8Ci9UeXBlIC9QYWdlcwo+PgplbmRvYmoKeHJlZgowIDMKMDAwMDAwMDAwMCiAgICAgIG4gCjAwMDAwMDAwMTAgMDAwMDAgbiAKMDAwMDAwMDA1MyAwMDAwMCBuIAp0cmFpbGVyCjw8Ci9Sb290IDEgMCBSCi9TaXplIDMKPj4KJWlzQmluYXJ5Cg==\",\n    \"parentType\": \"Purchase Invoice\",\n    \"parentId\": \"INV-10542\",\n    \"lineNumber\": 0,\n    \"documentFlowSales\": false,\n    \"documentFlowPurchase\": true,\n    \"lastModifiedDateTime\": \"2025-04-28T09:15:42Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_documentattachment\ndynamics_documentattachment_delete\nPOST documentAttachment<dynamics_documentattachment_create>\nPATCH documentAttachment<dynamics_documentattachment_update>"}